Bug 247938 - sysutils/py-ranger: Update to 1.9.3
Summary: sysutils/py-ranger: Update to 1.9.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/ranger/ranger/blob...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-12 19:03 UTC by Greg Fitzgerald
Modified: 2020-08-03 10:50 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (linpct)


Attachments
ranger-1.9.3.diff (1.82 KB, patch)
2020-07-12 19:03 UTC, Greg Fitzgerald
no flags Details | Diff
py-ranger-1.9.3-with-pr-1852.patch (2.97 KB, patch)
2020-07-28 19:56 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Fitzgerald 2020-07-12 19:03:23 UTC
Created attachment 216408 [details]
ranger-1.9.3.diff

2019-12-31: version 1.9.3

    Added Comic cbz/cbr previews
    Added DjVu previews
    Added Font previews
    Added Wayland support to rifle
    Added imv to rifle
    Added paste_ext command with new name collision behavior
    Added a size_in_bytes setting
    Added a new %any_path macro to simplify use of bookmarks in commands
    Added a new image previewing method using ueberzug
    Added archive previews
    Added filters for uniqueness and duplicates by hash to filter_stack
    Added generic openers to rifle, xdg-open for example
    Added line modes with human readable size information
    Added loading of plugins from local configuration directory
    Added previews for 3d models using openscad
    Added previews of MS Office documents
    Added scrolling in preview
    Added trash functionality to ranger, as alternative to deleting files
    Added zathura to rifle
    Changed c/p/tunmap to unc/p/tmap respectively, fixing them in the process
    Changed argument order for tag_toggle
    Fixed chmod behavior with 000 quantifier
    Fixed a crash involving Ctrl+space
    Fixed behavior of statusbar when resizing terminal window
    Fixed busyloop when ranger's STDIN was closed
    Fixed drawing of borders in st
    Fixed handling of macros for chain
    Fixed unicode decoding errors for previews
    Improved VCS integration by truncating long commit messages
    Improved bulkrename behavior when moving files to a non-existing directory
    Improved bulkrename's handling of files with utf-16 surrogates in the name
    Improved behavior of rename_append for directories
    Improved configurability of syntax highlighting previews
    Improved coverage of unofficial MIME types, mostly audio formats
    Improved documentation of multipane viewmode
    Improved documentation of optional dependencies
    Improved documentation on copymap
    Improved documentation on tab_shift
    Improved documentation on w3m_offset
    Improved example shell scripts
    Improved extensibility of image previewing methods using a registry
    Improved fuzzy tab completion
    Improved guessing of file encoding
    Improved handling of configuration and cache directories when using --clean
    Improved handling of invalid mtimes (Relevant for fuse mounts)
    Improved logging of file deletion
    Improved testing and CI setup
    Improved updating of tmux/screen window names
    Improved updating of window titles
    Improved validation of bookmarks
    Improved w3m preview method for terminals that aren't quite compatible
Comment 1 Automation User 2020-07-12 19:21:00 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/165741171
Comment 2 Kai Knoblich freebsd_committer 2020-07-13 09:32:51 UTC
Comment on attachment 216408 [details]
ranger-1.9.3.diff

^ Triage: Set maintainer-approval flag to '?' to request approval from maintainer.
Comment 3 Kai Knoblich freebsd_committer 2020-07-13 10:23:14 UTC
I did a quick runtime test and it seems that we need also to backport PR #1852 otherwise sysutils/py-ranger fails at startup because it cannot find sysutils/screen:

> [..]
>   File "/usr/local/lib/python3.7/site-packages/ranger/gui/ui.py", line 500, in handle_multiplexer
>     ['screen', '-Q', 'title']).strip()
>   File "/usr/local/lib/python3.7/site-packages/ranger/ext/spawn.py", line 35, in check_output
>     process = Popen(popenargs, stderr=fd_devnull, **kwargs)
>   File "/usr/local/lib/python3.7/subprocess.py", line 800, in __init__
>     restore_signals, start_new_session)
>   File "/usr/local/lib/python3.7/subprocess.py", line 1551, in _execute_child
>     raise child_exception_type(errno_num, err_msg, err_filename)
> FileNotFoundError: [Errno 2] No such file or directory: 'screen': 'screen'
Comment 4 Kai Knoblich freebsd_committer 2020-07-28 19:56:21 UTC
Created attachment 216844 [details]
py-ranger-1.9.3-with-pr-1852.patch

(In reply to Greg Fitzgerald from comment #0)

Here's an updated patch based on your initial patch that also adds PR #1852 to fix runtime issues for environments that don't have sysutils/screen installed but "TERM=screen" set (e.g. via sysutils/tmux in a jail).

Technically the maintainer timeout is reached but I'll wait until the weekend before I commit the update to take the holiday season into account.

The updated patch also omits patching of the manpath as share/man is the preferred location for manpages since ports r523104 and rebases the existing patch of "ranger/ext/img_display.py".

Although the latter patch isn't strictly required anymore as it contains the default path of LOCALBASE which will work for most environments yet there might be (rare) situations where LOCALBASE is set to a non-default location.
Comment 5 Kai Knoblich freebsd_committer 2020-08-03 10:41:23 UTC
Comment on attachment 216844 [details]
py-ranger-1.9.3-with-pr-1852.patch

^ Triage: Set maintainer-approval to '+' due maintainer's timeout.
Comment 6 commit-hook freebsd_committer 2020-08-03 10:47:31 UTC
A commit references this bug:

Author: kai
Date: Mon Aug  3 10:46:42 UTC 2020
New revision: 544046
URL: https://svnweb.freebsd.org/changeset/ports/544046

Log:
  sysutils/py-ranger: Update to 1.9.3

  While I'm here:

  * Backport a runtime fix for environments that don't have sysutils/screen
    installed but have TERM set to "screen".

  * Reduce patching by switching manpages to the preferred share/man location.

  * Rebase and document the patch that avoids hardcoded paths to w3mimgdisplay
    (which is supplied via www/w3m-img).

  Changelog:

  https://github.com/ranger/ranger/blob/v1.9.3/CHANGELOG.md

  PR:		247938
  Submitted by:	Greg Fitzgerald <gregf@hugops.pw> (based on)
  Approved by:	maintainer timeout (3+ weeks)
  MFH:		No (contains more additions/improvements than bugfixes)

Changes:
  head/sysutils/py-ranger/Makefile
  head/sysutils/py-ranger/distinfo
  head/sysutils/py-ranger/files/patch-ranger_ext_img__display.py
Comment 7 Kai Knoblich freebsd_committer 2020-08-03 10:50:22 UTC
(In reply to Greg Fitzgerald from comment #0)

Committed, thank you for the patch!